<?php

require_once 'tpl.inc';

$page_start = exec_time();
$fieldsets = array(array("legend1", "text for field1"), 
	array("legend2", "text for field2"), array("legend3", "text for field3"));
$index = query_value('index', 'index4');
$time = (int) abs(query_value('time', 0));

//version1 template vars
//these vars start with the name tpl_1_ 
set_vartag('V_version', 'The Jerous\\\'-FrantX\\\' Template [Mensch] Machine v8beta');
set_vartag('V_time', date("h:i:s"));
set_vartag('V_date', date("d m Y"));
set_vartag('V_page_title', "N.A.F. - JFTM testversion");
set_vartag('V_fs_legend', '$fieldsets[$j][0]');
set_vartag('V_fs_text', '$fieldsets[$j][1]');
set_vartag('V_err_number', '$i');
set_vartag('V_loop', '$i');
/* ********** START PAGE CODE ********** */

ob_start();
for($for=0; $for<=$time; $for++)
{
	if ($for==1) {	$print = ob_get_contents();	ob_clean();	ob_start();}
	
	print(get_template('header'));
	
	set_vartag('V_page_title', 'No vars set ...');
	print(get_template('title'));
	print(get_template($index));
	
	
	
	set_vartag('V_page_title', 'Vars set to normal values ...');
	print(get_template('title'));
	print(get_template($index));
	
	
	
	set_vartag('V_section', '_info');
	set_vartag('V_sub_section', '_register');
	print(get_template($index));
	
	
	
	set_vartag('V_section', '_info');
	set_vartag('V_sub_section', '_login');
	print(get_template($index));
	
	set_vartag('V_section', '_error');
	set_vartag('V_sub_section', '_1');
	print(get_template($index));
	
	set_vartag('V_section', '_error');
	set_vartag('V_sub_section', '');
	for($i=0; $i<3; $i++)
	{
		print(get_template('index4'));
	}
	
	
	for($j=0; $j<count($fieldsets); $j++)
	{
		print(get_template('fieldset'));
	}
	
	set_vartag('V_page_title', 'Vars set to special values ...');
	print(get_template('title'));
	
	print(get_template('nested'));
	
	set_vartag('V_page_title', htmlentities('Using the tag <notpl>...</notpl>'));
	set_vartag('V_section', '_test');
	set_vartag('V_sub_section', '_notpl');
	print(get_template('title'));
	print(get_template($index));

	
	set_vartag('V_section', '_unknown1');
	set_vartag('V_sub_section', '_unknown2');
	print(get_template($index));
}

if ($time==0)		$print = ob_get_contents();
ob_clean();

$t = (round(exec_time()-$page_start, 4));
print("<a href='index.php?index=$index&time=$time'>Calculated page ".($time+1)." times, taking $t seconds, an average of ".(round($t/($time+1), 4))." sec per page</a>");
print("<br /><a href='index.php?index=index4_long'>Test tpl with big file</a>");
print("<br /><a href='index.php?index=index4&time=$time'>Test tpl with normal file</a>");
print(get_template('footer'));

print($print);

$plugins = $JFTM->list_plugins();
$loaded = '';

set_vartag('V_plugin_name', '$plugins[$i]["name"].": <i>".$plugins[$i]["info"]."</i> (v".$plugins[$i]["version"].")"');
set_vartag('V_loaded_plugins', '$loaded');

for($i=0; $i<count($plugins); $i++)
	$loaded.=get_template('plugin');
// 	
print(get_template('plugins'));








/* @return microtime (in seconds)
 * @desc calculates microtime (for runtime) */
function exec_time()
{
	$mtime = explode( " ", microtime());
	$msec = (double)$mtime[0];
	$sec = (double)$mtime[1];

	return $sec + $msec;
}


/*get value of an argument in the url
	$arg			argument to get value for
	$default		use this value, when $arg is not found
	return			value of $arg (or $default) when $arg exist; else return false
	*/
function query_value($arg, $default = '') {
	  $ret = $default;
	  
	  parse_str(rawurldecode($_SERVER['QUERY_STRING']), $vars);
	  
	  
	  if ($arg !== '') {
		if (isset($vars[$arg]))		$ret = urldecode($vars[$arg]);
	  }
	  else
		$ret = $vars;
	
	
	  return $ret;
	}

function debug_arr($arr, $title='')
{
	print("<b>$title</b>");
	print("<pre>");
	print_r($arr);
	print("</pre>");
}

?>